🤝 Like the tool? Help making it better! Your donation helps! 🤝

# Extension Types

Note

The sections in this page were moved to the Extension Types and Special Methods of Extension Types in the userguide.

## Attributes

This section was moved to Static Attributes.

## Methods

## Properties

This section was moved to Properties.

## Special Methods

This section was moved to Special Methods of Extension Types.

### Declaration

This section was moved to Declaration.

### Docstrings

This section was moved to Docstrings.

### Initialization: `__cinit__()` and `__init__()`

This section was moved to Initialisation methods: __cinit__() and __init__().

### Finalization: `__dealloc__()`

This section was moved to Finalization methods: __dealloc__() and __del__().

### Arithmetic Methods

This section was moved to Arithmetic methods.

### Rich Comparisons

This section was moved to Rich comparisons.

### The `__next__()` Method

This section was moved to The __next__() method.

## Subclassing

This section was moved to Subclassing.

## Forward Declarations

This section was moved to Forward-declaring extension types.

## Extension Types and None

This section was moved to Extension types and None.

## Weak Referencing

This section was moved to Making extension types weak-referenceable.

## Dynamic Attributes

This section was moved to Dynamic Attributes.

## External and Public Types

### Public

This section was moved to Public extension types.

### External

This section was moved to External extension types.

### Name Specification Clause

This section was moved to Name specification clause.

## Type Names vs. Constructor Names

This section was moved to Type names vs. constructor names.